# Method: projects.tenants.companies.create

- [HTTP request](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/create#body.request_body)
- [Response body](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies/create#try-it)

Creates a new company entity.

### HTTP request

`POST https://jobs.googleapis.com/v4/{parent=projects/*/tenants/*}/companies`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the tenant under which the company is created. The format is "projects/{projectId}/tenants/{tenantId}", for example, "projects/foo/tenants/bar". |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies#Company`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants.companies#Company`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/jobs`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/external/authorization-gcp).